+ date
Thu Apr 20 00:08:55 UTC 2023
+ apt-get source --only-source sqlite=2.8.17-15
Reading package lists...
Need to get 975 kB of source archives.
Get:1 http://repo.pureos.net/pureos byzantium/main sqlite 2.8.17-15 (dsc) [1982 B]
Get:2 http://repo.pureos.net/pureos byzantium/main sqlite 2.8.17-15 (tar) [962 kB]
Get:3 http://repo.pureos.net/pureos byzantium/main sqlite 2.8.17-15 (diff) [11.0 kB]
dpkg-source: info: extracting sqlite in sqlite-2.8.17
dpkg-source: info: unpacking sqlite_2.8.17.orig.tar.gz
dpkg-source: info: unpacking sqlite_2.8.17-15.debian.tar.xz
dpkg-source: info: using patch list from debian/patches/series
dpkg-source: info: applying 01-fix-CVE-2007-1888.patch
dpkg-source: info: applying 02-lemon-snprintf.patch
dpkg-source: info: applying 03-add-fprintf-format-argument.patch
dpkg-source: info: applying 04-fix-sort-syntax.patch
dpkg-source: info: applying 05-link_with_LDFLAGS.patch
dpkg-source: info: applying 06-cross.patch
dpkg-source: info: applying 07-multiarch.patch
dpkg-source: info: applying 08-fix_unsigned_FTBFS.patch
dpkg-source: info: applying 09-tcl8.6_compat.patch
Fetched 975 kB in 0s (3061 kB/s)
W: Download is performed unsandboxed as root as file 'sqlite_2.8.17-15.dsc' couldn't be accessed by user '_apt'. - pkgAcquire::Run (13: Permission denied)
+ env DEBIAN_FRONTEND=noninteractive apt-get build-dep -y --only-source sqlite=2.8.17-15
Reading package lists...
Reading package lists...
Building dependency tree...
Reading state information...
The following NEW packages will be installed:
  tcl8.6 tcl8.6-dev
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Need to get 1142 kB of archives.
After this operation, 5028 kB of additional disk space will be used.
Get:1 http://repo.pureos.net/pureos byzantium/main amd64 tcl8.6 amd64 8.6.11+dfsg-1 [124 kB]
Get:2 http://repo.pureos.net/pureos byzantium/main amd64 tcl8.6-dev amd64 8.6.11+dfsg-1 [1018 kB]
Fetched 1142 kB in 0s (3969 kB/s)
Selecting previously unselected package tcl8.6.
(Reading database ... (Reading database ... 5%(Reading database ... 10%(Reading database ... 15%(Reading database ... 20%(Reading database ... 25%(Reading database ... 30%(Reading database ... 35%(Reading database ... 40%(Reading database ... 45%(Reading database ... 50%(Reading database ... 55%(Reading database ... 60%(Reading database ... 65%(Reading database ... 70%(Reading database ... 75%(Reading database ... 80%(Reading database ... 85%(Reading database ... 90%(Reading database ... 95%(Reading database ... 100%(Reading database ... 102989 files and directories currently installed.)
Preparing to unpack .../tcl8.6_8.6.11+dfsg-1_amd64.deb ...
Unpacking tcl8.6 (8.6.11+dfsg-1) ...
Selecting previously unselected package tcl8.6-dev:amd64.
Preparing to unpack .../tcl8.6-dev_8.6.11+dfsg-1_amd64.deb ...
Unpacking tcl8.6-dev:amd64 (8.6.11+dfsg-1) ...
Setting up tcl8.6 (8.6.11+dfsg-1) ...
Setting up tcl8.6-dev:amd64 (8.6.11+dfsg-1) ...
Processing triggers for man-db (2.9.4-2) ...
+ find . -maxdepth 1 -name sqlite* -type d
+ cd ./sqlite-2.8.17
+ eatmydata env DEB_BUILD_OPTIONS=noautodbgsym dpkg-buildpackage --no-sign
dpkg-buildpackage: info: source package sqlite
dpkg-buildpackage: info: source version 2.8.17-15
dpkg-buildpackage: info: source distribution unstable
dpkg-buildpackage: info: source changed by Laszlo Boszormenyi (GCS) <gcs@debian.org>
 dpkg-source --before-build .
dpkg-buildpackage: info: host architecture amd64
 debian/rules clean
dh clean
   dh_clean
 dpkg-source -b .
dpkg-source: info: using source format '3.0 (quilt)'
dpkg-source: info: building sqlite using existing ./sqlite_2.8.17.orig.tar.gz
dpkg-source: info: using patch list from debian/patches/series
dpkg-source: info: building sqlite in sqlite_2.8.17-15.debian.tar.xz
dpkg-source: info: building sqlite in sqlite_2.8.17-15.dsc
 debian/rules build
dh build
   dh_update_autotools_config
   dh_autoreconf
libtoolize: putting auxiliary files in '.'.
libtoolize: copying file './ltmain.sh'
libtoolize: Consider adding 'AC_CONFIG_MACRO_DIRS([m4])' to configure.ac,
libtoolize: and rerunning libtoolize and aclocal.
libtoolize: Consider adding '-I m4' to ACLOCAL_AMFLAGS in Makefile.am.
libtoolize: 'AC_PROG_RANLIB' is rendered obsolete by 'LT_INIT'
   debian/rules override_dh_auto_configure
make[1]: Entering directory '/build/sqlite/sqlite-2.8.17'
mkdir -p /build/sqlite/sqlite-2.8.17/bin/
ln -s /usr/bin/tclsh8.6 /build/sqlite/sqlite-2.8.17/bin/tclsh
dh_auto_configure -- config_TARGET_TCL_INC="-I/usr/include/tcl8.6" config_BUILD_CFLAGS="-g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1" config_TARGET_LIBS="-ltcl8.6 -lpthread" --libdir=/usr/lib/x86_64-linux-gnu --enable-utf8
	./configure --build=x86_64-linux-gnu --prefix=/usr --includedir=\${prefix}/include --mandir=\${prefix}/share/man --infodir=\${prefix}/share/info --sysconfdir=/etc --localstatedir=/var --disable-option-checking --disable-silent-rules --libdir=\${prefix}/lib/x86_64-linux-gnu --libexecdir=\${prefix}/lib/x86_64-linux-gnu --runstatedir=/run --disable-maintainer-mode --disable-dependency-tracking config_TARGET_TCL_INC=-I/usr/include/tcl8.6 "config_BUILD_CFLAGS=-g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1" "config_TARGET_LIBS=-ltcl8.6 -lpthread" --libdir=/usr/lib/x86_64-linux-gnu --enable-utf8
checking build system type... x86_64-pc-linux-gnu
checking host system type... x86_64-pc-linux-gnu
checking how to print strings... printf
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for a sed that does not truncate output... /usr/bin/sed
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for fgrep... /usr/bin/grep -F
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... 1572864
checking how to convert x86_64-pc-linux-gnu file names to x86_64-pc-linux-gnu format... func_convert_file_noop
checking how to convert x86_64-pc-linux-gnu file names to toolchain format... func_convert_file_noop
checking for /usr/bin/ld option to reload object files... -r
checking for objdump... objdump
checking how to recognize dependent libraries... pass_all
checking for dlltool... no
checking how to associate runtime and link libraries... printf %s\n
checking for ar... ar
checking for archiver @FILE support... @
checking for strip... strip
checking for ranlib... ranlib
checking for gawk... gawk
checking command to parse /usr/bin/nm -B output from gcc object... ok
checking for sysroot... no
checking for a working dd... /usr/bin/dd
checking how to truncate binary pipes... /usr/bin/dd bs=4096 count=1
checking for mt... mt
checking if mt is a manifest tool... no
checking how to run the C preprocessor... gcc -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for dlfcn.h... yes
checking for objdir... .libs
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC -DPIC
checking if gcc PIC flag -fPIC -DPIC works... yes
checking if gcc static flag -static works... yes
checking if gcc supports -c -o file.o... yes
checking if gcc supports -c -o file.o... (cached) yes
checking whether the gcc linker (/usr/bin/ld -m elf_x86_64) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... yes
checking for a BSD-compatible install... /usr/bin/install -c
Version set to 2.8.17
checking host compiler... cc
checking switches for the host compiler... -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1
checking target compiler... x86_64-linux-gnu-gcc
checking switches on the target compiler... -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1
checking target linker... x86_64-linux-gnu-gcc
checking switches on the target compiler... checking for ranlib... (cached) ranlib
-g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1
checking if host and target compilers are the same... no
checking character encoding... UTF-8
checking whether to support incore databases for attach and open... yes
checking whether to support shared library linked as release mode or not... no
checking whether to use an in-ram database for temporary tables... no
checking if executables have the .exe suffix... unknown
checking for sin... no
checking for dlopen in -ldl... yes
checking for library containing Tcl_Init... no
checking TCL header files... -I/usr/include/tcl8.6
checking for library containing tgetent... -lncurses
checking for readline in -lreadline... yes
checking readline header files... not specified: still searching...
checking readline.h usability... no
checking readline.h presence... no
checking for readline.h... no
checking for usleep... yes
configure: creating ./config.status
config.status: creating Makefile
config.status: creating sqlite.pc
config.status: executing libtool commands
make[1]: Leaving directory '/build/sqlite/sqlite-2.8.17'
   debian/rules override_dh_auto_build
make[1]: Entering directory '/build/sqlite/sqlite-2.8.17'
/usr/bin/make all libtclsqlite.la doc
make[2]: Entering directory '/build/sqlite/sqlite-2.8.17'
sed -e s/--VERS--/`cat ./VERSION`/ \
            -e s/--ENCODING--/UTF8/ \
                 ./src/sqlite.h.in >sqlite.h
echo '#include <stdio.h>' >temp.c
echo 'int main(){printf(' >>temp.c
echo '"#define SQLITE_PTR_SZ %d",sizeof(char*));' >>temp.c
echo 'exit(0);}' >>temp.c
cc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -o temp temp.c
temp.c: In function 'main':
temp.c:3:25: warning: format '%d' expects argument of type 'int', but argument 2 has type 'long unsigned int' [-Wformat=]
    3 | "#define SQLITE_PTR_SZ %d",sizeof(char*));
      |                        ~^  ~~~~~~~~~~~~~
      |                         |  |
      |                         |  long unsigned int
      |                         int
      |                        %ld
temp.c:4:1: warning: implicit declaration of function 'exit' [-Wimplicit-function-declaration]
    4 | exit(0);}
      | ^~~~
temp.c:4:1: warning: incompatible implicit declaration of built-in function 'exit'
temp.c:2:1: note: include '<stdlib.h>' or provide a declaration of 'exit'
    1 | #include <stdio.h>
  +++ |+#include <stdlib.h>
    2 | int main(){printf(
./temp >config.h
echo >>config.h
rm -f temp.c temp
echo '/* Automatically generated file.  Do not edit */' >opcodes.h
grep '^case OP_' ./src/vdbe.c | \
  sed -e 's/://' | \
  awk '{printf "#define %-30s %3d\n", $2, ++cnt}' >>opcodes.h
cc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -o lemon ./tool/lemon.c
./tool/lemon.c: In function 'tplt_open':
./tool/lemon.c:2821:7: warning: implicit declaration of function 'access' [-Wimplicit-function-declaration]
 2821 |   if( access(buf,004)==0 ){
      |       ^~~~~~
./tool/lemon.c:2713:14: note: previous declaration of 'access' was here
 2713 |   extern int access();
      |              ^~~~~~
cp ./tool/lempar.c .
cp ./src/parse.y .
./lemon parse.y
./libtool --mode=compile x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -I/usr/include/tcl8.6 -c ./src/attach.c
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -I/usr/include/tcl8.6 -c ./src/attach.c  -fPIC -DPIC -o .libs/attach.o
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -I/usr/include/tcl8.6 -c ./src/attach.c -o attach.o >/dev/null 2>&1
./libtool --mode=compile x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -I/usr/include/tcl8.6 -c ./src/auth.c
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -I/usr/include/tcl8.6 -c ./src/auth.c  -fPIC -DPIC -o .libs/auth.o
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -I/usr/include/tcl8.6 -c ./src/auth.c -o auth.o >/dev/null 2>&1
./libtool --mode=compile x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/btree.c
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/btree.c  -fPIC -DPIC -o .libs/btree.o
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/btree.c -o btree.o >/dev/null 2>&1
./libtool --mode=compile x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/build.c
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/build.c  -fPIC -DPIC -o .libs/build.o
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/build.c -o build.o >/dev/null 2>&1
./libtool --mode=compile x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/copy.c
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/copy.c  -fPIC -DPIC -o .libs/copy.o
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/copy.c -o copy.o >/dev/null 2>&1
./libtool --mode=compile x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/date.c
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/date.c  -fPIC -DPIC -o .libs/date.o
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/date.c -o date.o >/dev/null 2>&1
./libtool --mode=compile x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/delete.c
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/delete.c  -fPIC -DPIC -o .libs/delete.o
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/delete.c -o delete.o >/dev/null 2>&1
./libtool --mode=compile x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/encode.c
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/encode.c  -fPIC -DPIC -o .libs/encode.o
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/encode.c -o encode.o >/dev/null 2>&1
./libtool --mode=compile x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/expr.c
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/expr.c  -fPIC -DPIC -o .libs/expr.o
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/expr.c -o expr.o >/dev/null 2>&1
./libtool --mode=compile x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/func.c
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/func.c  -fPIC -DPIC -o .libs/func.o
./src/func.c: In function 'minmaxFunc':
./src/func.c:38:10: warning: cast from pointer to integer of different size [-Wpointer-to-int-cast]
   38 |   mask = (int)sqlite_user_data(context);
      |          ^
./src/func.c: In function 'minmaxStep':
./src/func.c:526:10: warning: cast from pointer to integer of different size [-Wpointer-to-int-cast]
  526 |   mask = (int)sqlite_user_data(context);
      |          ^
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/func.c -o func.o >/dev/null 2>&1
./libtool --mode=compile x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/hash.c
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/hash.c  -fPIC -DPIC -o .libs/hash.o
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/hash.c -o hash.o >/dev/null 2>&1
./libtool --mode=compile x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/insert.c
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/insert.c  -fPIC -DPIC -o .libs/insert.o
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/insert.c -o insert.o >/dev/null 2>&1
./libtool --mode=compile x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c -DTEMP_STORE=1 ./src/main.c
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c -DTEMP_STORE=1 ./src/main.c  -fPIC -DPIC -o .libs/main.o
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c -DTEMP_STORE=1 ./src/main.c -o main.o >/dev/null 2>&1
echo '/* Automatically generated file.  Do not edit */' >opcodes.c
echo 'char *sqliteOpcodeNames[] = { "???", ' >>opcodes.c
grep '^case OP_' ./src/vdbe.c | \
  sed -e 's/^.*OP_/  "/' -e 's/:.*$/", /' >>opcodes.c
echo '};' >>opcodes.c
./libtool --mode=compile x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c opcodes.c
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c opcodes.c  -fPIC -DPIC -o .libs/opcodes.o
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c opcodes.c -o opcodes.o >/dev/null 2>&1
./libtool --mode=compile x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/os.c
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/os.c  -fPIC -DPIC -o .libs/os.o
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/os.c -o os.o >/dev/null 2>&1
./libtool --mode=compile x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/pager.c
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/pager.c  -fPIC -DPIC -o .libs/pager.o
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/pager.c -o pager.o >/dev/null 2>&1
./libtool --mode=compile x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c parse.c
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c parse.c  -fPIC -DPIC -o .libs/parse.o
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c parse.c -o parse.o >/dev/null 2>&1
./libtool --mode=compile x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -I/usr/include/tcl8.6 -c ./src/pragma.c
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -I/usr/include/tcl8.6 -c ./src/pragma.c  -fPIC -DPIC -o .libs/pragma.o
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -I/usr/include/tcl8.6 -c ./src/pragma.c -o pragma.o >/dev/null 2>&1
./libtool --mode=compile x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -I/usr/include/tcl8.6 -c ./src/printf.c
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -I/usr/include/tcl8.6 -c ./src/printf.c  -fPIC -DPIC -o .libs/printf.o
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -I/usr/include/tcl8.6 -c ./src/printf.c -o printf.o >/dev/null 2>&1
./libtool --mode=compile x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/random.c
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/random.c  -fPIC -DPIC -o .libs/random.o
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/random.c -o random.o >/dev/null 2>&1
./libtool --mode=compile x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/select.c
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/select.c  -fPIC -DPIC -o .libs/select.o
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/select.c -o select.o >/dev/null 2>&1
./libtool --mode=compile x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/table.c
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/table.c  -fPIC -DPIC -o .libs/table.o
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/table.c -o table.o >/dev/null 2>&1
./libtool --mode=compile x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/tokenize.c
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/tokenize.c  -fPIC -DPIC -o .libs/tokenize.o
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/tokenize.c -o tokenize.o >/dev/null 2>&1
./libtool --mode=compile x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/update.c
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/update.c  -fPIC -DPIC -o .libs/update.o
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/update.c -o update.o >/dev/null 2>&1
./libtool --mode=compile x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/util.c
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/util.c  -fPIC -DPIC -o .libs/util.o
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/util.c -o util.o >/dev/null 2>&1
./libtool --mode=compile x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/vacuum.c
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/vacuum.c  -fPIC -DPIC -o .libs/vacuum.o
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/vacuum.c -o vacuum.o >/dev/null 2>&1
./libtool --mode=compile x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/vdbe.c
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/vdbe.c  -fPIC -DPIC -o .libs/vdbe.o
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/vdbe.c -o vdbe.o >/dev/null 2>&1
./libtool --mode=compile x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/vdbeaux.c
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/vdbeaux.c  -fPIC -DPIC -o .libs/vdbeaux.o
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/vdbeaux.c -o vdbeaux.o >/dev/null 2>&1
./libtool --mode=compile x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/where.c
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/where.c  -fPIC -DPIC -o .libs/where.o
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/where.c -o where.o >/dev/null 2>&1
./libtool --mode=compile x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/trigger.c
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/trigger.c  -fPIC -DPIC -o .libs/trigger.o
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/trigger.c -o trigger.o >/dev/null 2>&1
./libtool --mode=compile x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/btree_rb.c
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/btree_rb.c  -fPIC -DPIC -o .libs/btree_rb.o
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -c ./src/btree_rb.c -o btree_rb.o >/dev/null 2>&1
./libtool --mode=link x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -Wl,-z,relro -Wl,-z,now -L/build/sqlite/sqlite-2.8.17/.libs -o libsqlite.la attach.lo auth.lo btree.lo build.lo copy.lo date.lo delete.lo encode.lo expr.lo func.lo hash.lo insert.lo main.lo opcodes.lo os.lo pager.lo parse.lo pragma.lo printf.lo random.lo select.lo table.lo tokenize.lo update.lo util.lo vacuum.lo vdbe.lo vdbeaux.lo where.lo trigger.lo btree_rb.lo  -rpath /usr/lib/x86_64-linux-gnu \
	-version-info "8:6:8"
libtool: link: gcc -shared  -fPIC -DPIC  .libs/attach.o .libs/auth.o .libs/btree.o .libs/build.o .libs/copy.o .libs/date.o .libs/delete.o .libs/encode.o .libs/expr.o .libs/func.o .libs/hash.o .libs/insert.o .libs/main.o .libs/opcodes.o .libs/os.o .libs/pager.o .libs/parse.o .libs/pragma.o .libs/printf.o .libs/random.o .libs/select.o .libs/table.o .libs/tokenize.o .libs/update.o .libs/util.o .libs/vacuum.o .libs/vdbe.o .libs/vdbeaux.o .libs/where.o .libs/trigger.o .libs/btree_rb.o   -L/build/sqlite/sqlite-2.8.17/.libs  -g -O2 -fstack-protector-strong -Wl,-z -Wl,relro -Wl,-z -Wl,now   -Wl,-soname -Wl,libsqlite.so.0 -o .libs/libsqlite.so.0.8.6
libtool: link: (cd ".libs" && rm -f "libsqlite.so.0" && ln -s "libsqlite.so.0.8.6" "libsqlite.so.0")
libtool: link: (cd ".libs" && rm -f "libsqlite.so" && ln -s "libsqlite.so.0.8.6" "libsqlite.so")
libtool: link: ar cr .libs/libsqlite.a  attach.o auth.o btree.o build.o copy.o date.o delete.o encode.o expr.o func.o hash.o insert.o main.o opcodes.o os.o pager.o parse.o pragma.o printf.o random.o select.o table.o tokenize.o update.o util.o vacuum.o vdbe.o vdbeaux.o where.o trigger.o btree_rb.o
libtool: link: ranlib .libs/libsqlite.a
libtool: link: ( cd ".libs" && rm -f "libsqlite.la" && ln -s "../libsqlite.la" "libsqlite.la" )
./libtool --mode=link x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -Wl,-z,relro -Wl,-z,now -L/build/sqlite/sqlite-2.8.17/.libs -DHAVE_READLINE=1 -I/usr/include/readline -o sqlite ./src/shell.c \
	libsqlite.la -lreadline -lncurses 
libtool: link: x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -Wl,-z -Wl,relro -Wl,-z -Wl,now -DHAVE_READLINE=1 -I/usr/include/readline -o .libs/sqlite ./src/shell.c  -L/build/sqlite/sqlite-2.8.17/.libs ./.libs/libsqlite.so -lreadline -lncurses
./libtool --mode=compile x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -I/usr/include/tcl8.6 -c ./src/tclsqlite.c
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -I/usr/include/tcl8.6 -c ./src/tclsqlite.c  -fPIC -DPIC -o .libs/tclsqlite.o
libtool: compile:  x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -I/usr/include/tcl8.6 -c ./src/tclsqlite.c -o tclsqlite.o >/dev/null 2>&1
./libtool --mode=link x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -Wl,-z,relro -Wl,-z,now -L/build/sqlite/sqlite-2.8.17/.libs -o libtclsqlite.la tclsqlite.lo \
	libsqlite.la -ldl -lm -rpath /usr/lib/sqlite \
	-version-info "8:6:8"
libtool: link: gcc -shared  -fPIC -DPIC  .libs/tclsqlite.o   -Wl,-rpath -Wl,/build/sqlite/sqlite-2.8.17/.libs -L/build/sqlite/sqlite-2.8.17/.libs ./.libs/libsqlite.so -ldl -lm  -g -O2 -fstack-protector-strong -Wl,-z -Wl,relro -Wl,-z -Wl,now   -Wl,-soname -Wl,libtclsqlite.so.0 -o .libs/libtclsqlite.so.0.8.6
libtool: link: (cd ".libs" && rm -f "libtclsqlite.so.0" && ln -s "libtclsqlite.so.0.8.6" "libtclsqlite.so.0")
libtool: link: (cd ".libs" && rm -f "libtclsqlite.so" && ln -s "libtclsqlite.so.0.8.6" "libtclsqlite.so")
libtool: link: ar cr .libs/libtclsqlite.a  tclsqlite.o
libtool: link: ranlib .libs/libtclsqlite.a
libtool: link: ( cd ".libs" && rm -f "libtclsqlite.la" && ln -s "../libtclsqlite.la" "libtclsqlite.la" )
cat ./src/attach.c ./src/auth.c ./src/btree.c ./src/btree.h ./src/btree_rb.c ./src/build.c ./src/copy.c ./src/date.c ./src/delete.c ./src/encode.c ./src/expr.c ./src/func.c ./src/hash.c ./src/hash.h ./src/insert.c ./src/main.c ./src/os.c ./src/pager.c ./src/pager.h ./src/parse.y ./src/pragma.c ./src/printf.c ./src/random.c ./src/select.c ./src/shell.c ./src/sqlite.h.in ./src/sqliteInt.h ./src/table.c ./src/tclsqlite.c ./src/tokenize.c ./src/trigger.c ./src/update.c ./src/util.c ./src/vacuum.c ./src/vdbe.c ./src/vdbeaux.c ./src/vdbe.h ./src/where.c | grep '$Id: ' | sort -k 4 | tail -1 \
          | awk '{print $5,$6}' >last_change
tclsh ./www/index.tcl `cat ./VERSION` >index.html
tclsh ./www/sqlite.tcl >sqlite.html
tclsh ./www/changes.tcl >changes.html
tclsh ./www/lang.tcl >lang.html
tclsh ./www/opcode.tcl ./src/vdbe.c >opcode.html
tclsh ./www/arch.tcl >arch.html
cp ./www/arch.png .
tclsh ./www/vdbe.tcl >vdbe.html
tclsh ./www/c_interface.tcl >c_interface.html
tclsh ./www/mingw.tcl >mingw.html
tclsh ./www/tclsqlite.tcl >tclsqlite.html
tclsh ./www/download.tcl >download.html
tclsh ./www/speed.tcl >speed.html
tclsh ./www/faq.tcl >faq.html
tclsh ./www/formatchng.tcl >formatchng.html
tclsh ./www/conflict.tcl >conflict.html
tclsh ./www/omitted.tcl >omitted.html
tclsh ./www/datatypes.tcl >datatypes.html
tclsh ./www/quickstart.tcl >quickstart.html
tclsh ./www/fileformat.tcl >fileformat.html
tclsh ./www/nulls.tcl >nulls.html
mkdir -p doc
mv index.html sqlite.html changes.html lang.html opcode.html arch.html arch.png vdbe.html c_interface.html mingw.html tclsqlite.html download.html speed.html faq.html formatchng.html conflict.html omitted.html datatypes.html quickstart.html fileformat.html nulls.html doc
make[2]: Leaving directory '/build/sqlite/sqlite-2.8.17'
make[1]: Leaving directory '/build/sqlite/sqlite-2.8.17'
   debian/rules override_dh_auto_test
make[1]: Entering directory '/build/sqlite/sqlite-2.8.17'
LDFLAGS="-Wl,-z,relro -Wl,-z,now -L/build/sqlite/sqlite-2.8.17/.libs -ltcl8.6 -lpthread" dh_auto_test || true
	make -j40 test VERBOSE=1
make[2]: Entering directory '/build/sqlite/sqlite-2.8.17'
./libtool --mode=link x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -Wl,-z,relro -Wl,-z,now -L/build/sqlite/sqlite-2.8.17/.libs -ltcl8.6 -lpthread -I/usr/include/tcl8.6 -DTCLSH=1 -DSQLITE_TEST=1\
                -o testfixture ./src/btree.c ./src/func.c ./src/os.c ./src/pager.c ./src/test1.c ./src/test2.c ./src/test3.c ./src/test4.c ./src/vdbe.c ./src/md5.c ./src/tclsqlite.c \
	libtclsqlite.la libsqlite.la -ldl -lm
libtool: link: x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -Wl,-z -Wl,relro -Wl,-z -Wl,now -I/usr/include/tcl8.6 -DTCLSH=1 -DSQLITE_TEST=1 -o .libs/testfixture ./src/btree.c ./src/func.c ./src/os.c ./src/pager.c ./src/test1.c ./src/test2.c ./src/test3.c ./src/test4.c ./src/vdbe.c ./src/md5.c ./src/tclsqlite.c  -L/build/sqlite/sqlite-2.8.17/.libs -ltcl8.6 -lpthread ./.libs/libtclsqlite.so ./.libs/libsqlite.so -ldl -lm -Wl,-rpath -Wl,/usr/lib/sqlite
./src/func.c: In function 'minmaxFunc':
./src/func.c:38:10: warning: cast from pointer to integer of different size [-Wpointer-to-int-cast]
   38 |   mask = (int)sqlite_user_data(context);
      |          ^
./src/func.c: In function 'minmaxStep':
./src/func.c:526:10: warning: cast from pointer to integer of different size [-Wpointer-to-int-cast]
  526 |   mask = (int)sqlite_user_data(context);
      |          ^
./src/pager.c: In function 'pager_refinfo':
./src/pager.c:297:17: warning: cast from pointer to integer of different size [-Wpointer-to-int-cast]
  297 |        p->pgno, (int)PGHDR_TO_DATA(p), p->nRef
      |                 ^
./src/pager.c: In function 'sqlitepager_refdump':
./src/pager.c:2217:19: warning: cast from pointer to integer of different size [-Wpointer-to-int-cast]
 2217 |        pPg->pgno, (int)PGHDR_TO_DATA(pPg), pPg->nRef);
      |                   ^
./src/test2.c: In function 'pager_open':
./src/test2.c:84:23: warning: cast from pointer to integer of different size [-Wpointer-to-int-cast]
   84 |   sprintf(zBuf,"0x%x",(int)pPager);
      |                       ^
./src/test2.c: In function 'page_get':
./src/test2.c:336:23: warning: cast from pointer to integer of different size [-Wpointer-to-int-cast]
  336 |   sprintf(zBuf,"0x%x",(int)pPage);
      |                       ^
./src/test2.c: In function 'page_lookup':
./src/test2.c:366:25: warning: cast from pointer to integer of different size [-Wpointer-to-int-cast]
  366 |     sprintf(zBuf,"0x%x",(int)pPage);
      |                         ^
./src/test3.c: In function 'btree_cursor':
./src/test3.c:535:24: warning: cast from pointer to integer of different size [-Wpointer-to-int-cast]
  535 |   sprintf(zBuf,"0x%x", (int)pCur);
      |                        ^
./src/md5.c: In function 'md5_cmd':
./src/md5.c:308:26: warning: passing argument 2 of 'DigestToBase16' discards 'const' qualifier from pointer target type [-Wdiscarded-qualifiers]
  308 |   DigestToBase16(digest, Tcl_GetStringResult(interp));
      |                          ^~~~~~~~~~~~~~~~~~~~~~~~~~~
./src/md5.c:280:57: note: expected 'char *' but argument is of type 'const char *'
  280 | static void DigestToBase16(unsigned char *digest, char *zBuf){
      |                                                   ~~~~~~^~~~
./src/md5.c: In function 'md5file_cmd':
./src/md5.c:342:26: warning: passing argument 2 of 'DigestToBase16' discards 'const' qualifier from pointer target type [-Wdiscarded-qualifiers]
  342 |   DigestToBase16(digest, Tcl_GetStringResult(interp));
      |                          ^~~~~~~~~~~~~~~~~~~~~~~~~~~
./src/md5.c:280:57: note: expected 'char *' but argument is of type 'const char *'
  280 | static void DigestToBase16(unsigned char *digest, char *zBuf){
      |                                                   ~~~~~~^~~~
/usr/bin/ld: /tmp/ccgTaYSJ.o:././src/btree.h:152: multiple definition of `btree_native_byte_order'; /tmp/ccu6TnrN.o:././src/btree.h:152: first defined here
/usr/bin/ld: /tmp/cc8eoDTJ.o:././src/btree.h:152: multiple definition of `btree_native_byte_order'; /tmp/ccu6TnrN.o:././src/btree.h:152: first defined here
/usr/bin/ld: /tmp/cczJ2MdJ.o:././src/pager.h:106: multiple definition of `journal_format'; /tmp/ccu6TnrN.o:././src/pager.h:106: first defined here
/usr/bin/ld: /tmp/cczJ2MdJ.o:././src/pager.h:105: multiple definition of `pager_refinfo_enable'; /tmp/ccu6TnrN.o:././src/pager.h:105: first defined here
/usr/bin/ld: /tmp/cczJ2MdJ.o:././src/btree.h:152: multiple definition of `btree_native_byte_order'; /tmp/ccu6TnrN.o:././src/btree.h:152: first defined here
/usr/bin/ld: /tmp/ccxZ4CUL.o:././src/btree.h:152: multiple definition of `btree_native_byte_order'; /tmp/ccu6TnrN.o:././src/btree.h:152: first defined here
/usr/bin/ld: /tmp/cc4z6bDM.o:././src/pager.h:106: multiple definition of `journal_format'; /tmp/ccu6TnrN.o:././src/pager.h:106: first defined here
/usr/bin/ld: /tmp/cc4z6bDM.o:././src/pager.h:105: multiple definition of `pager_refinfo_enable'; /tmp/ccu6TnrN.o:././src/pager.h:105: first defined here
/usr/bin/ld: /tmp/cc4z6bDM.o:././src/btree.h:152: multiple definition of `btree_native_byte_order'; /tmp/ccu6TnrN.o:././src/btree.h:152: first defined here
/usr/bin/ld: /tmp/ccvxGJOM.o:././src/pager.h:105: multiple definition of `pager_refinfo_enable'; /tmp/ccu6TnrN.o:././src/pager.h:105: first defined here
/usr/bin/ld: /tmp/ccvxGJOM.o:././src/btree.h:152: multiple definition of `btree_native_byte_order'; /tmp/ccu6TnrN.o:././src/btree.h:152: first defined here
/usr/bin/ld: /tmp/ccvxGJOM.o:././src/pager.h:106: multiple definition of `journal_format'; /tmp/ccu6TnrN.o:././src/pager.h:106: first defined here
/usr/bin/ld: /tmp/ccrGvCcN.o:././src/btree.h:152: multiple definition of `btree_native_byte_order'; /tmp/ccu6TnrN.o:././src/btree.h:152: first defined here
/usr/bin/ld: /tmp/ccTvgfsM.o:././src/btree.h:152: multiple definition of `btree_native_byte_order'; /tmp/ccu6TnrN.o:././src/btree.h:152: first defined here
/usr/bin/ld: /tmp/ccDSmqpJ.o:././src/btree.h:152: multiple definition of `btree_native_byte_order'; /tmp/ccu6TnrN.o:././src/btree.h:152: first defined here
collect2: error: ld returned 1 exit status
make[2]: *** [Makefile:366: testfixture] Error 1
make[2]: Leaving directory '/build/sqlite/sqlite-2.8.17'
dh_auto_test: error: make -j40 test VERBOSE=1 returned exit code 2
make[1]: Leaving directory '/build/sqlite/sqlite-2.8.17'
   create-stamp debian/debhelper-build-stamp
 debian/rules binary
dh binary
   dh_testroot
   dh_prep
   dh_installdirs
   debian/rules override_dh_auto_install
make[1]: Entering directory '/build/sqlite/sqlite-2.8.17'
install -d /build/sqlite/sqlite-2.8.17/debian/tmp/usr/bin/ \
	/build/sqlite/sqlite-2.8.17/debian/tmp/usr/lib/sqlite/
install -m 0664 /build/sqlite/sqlite-2.8.17/debian/pkgIndex.tcl \
	/build/sqlite/sqlite-2.8.17/debian/tmp/usr/lib/sqlite
./libtool --mode=install install libtclsqlite.la \
	/build/sqlite/sqlite-2.8.17/debian/tmp/usr/lib/sqlite
libtool: warning: relinking 'libtclsqlite.la'
libtool: install: (cd /build/sqlite/sqlite-2.8.17; /bin/bash "/build/sqlite/sqlite-2.8.17/libtool"  --mode=relink x86_64-linux-gnu-gcc -g -O2 -ffile-prefix-map=/build/sqlite/sqlite-2.8.17=. -fstack-protector-strong -Wformat -Werror=format-security -DTHREADSAFE=1 -DOS_UNIX=1 -DOS_WIN=0 -DHAVE_USLEEP=1 -I. -I./src -Wl,-z,relro -Wl,-z,now -L/build/sqlite/sqlite-2.8.17/.libs -o libtclsqlite.la tclsqlite.lo libsqlite.la -ldl -lm -rpath /usr/lib/sqlite -version-info 8:6:8 -inst-prefix-dir /build/sqlite/sqlite-2.8.17/debian/tmp)
libtool: relink: gcc -shared  -fPIC -DPIC  .libs/tclsqlite.o   -L/build/sqlite/sqlite-2.8.17/.libs -L/build/sqlite/sqlite-2.8.17/debian/tmp/usr/lib/x86_64-linux-gnu -L/usr/lib/x86_64-linux-gnu -lsqlite -ldl -lm  -g -O2 -fstack-protector-strong -Wl,-z -Wl,relro -Wl,-z -Wl,now   -Wl,-soname -Wl,libtclsqlite.so.0 -o .libs/libtclsqlite.so.0.8.6
libtool: install: install .libs/libtclsqlite.so.0.8.6T /build/sqlite/sqlite-2.8.17/debian/tmp/usr/lib/sqlite/libtclsqlite.so.0.8.6
libtool: install: (cd /build/sqlite/sqlite-2.8.17/debian/tmp/usr/lib/sqlite && { ln -s -f libtclsqlite.so.0.8.6 libtclsqlite.so.0 || { rm -f libtclsqlite.so.0 && ln -s libtclsqlite.so.0.8.6 libtclsqlite.so.0; }; })
libtool: install: (cd /build/sqlite/sqlite-2.8.17/debian/tmp/usr/lib/sqlite && { ln -s -f libtclsqlite.so.0.8.6 libtclsqlite.so || { rm -f libtclsqlite.so && ln -s libtclsqlite.so.0.8.6 libtclsqlite.so; }; })
libtool: install: install .libs/libtclsqlite.lai /build/sqlite/sqlite-2.8.17/debian/tmp/usr/lib/sqlite/libtclsqlite.la
libtool: install: install .libs/libtclsqlite.a /build/sqlite/sqlite-2.8.17/debian/tmp/usr/lib/sqlite/libtclsqlite.a
libtool: install: chmod 644 /build/sqlite/sqlite-2.8.17/debian/tmp/usr/lib/sqlite/libtclsqlite.a
libtool: install: ranlib /build/sqlite/sqlite-2.8.17/debian/tmp/usr/lib/sqlite/libtclsqlite.a
libtool: warning: remember to run 'libtool --finish /usr/lib/sqlite'
install -d /build/sqlite/sqlite-2.8.17/debian/tmp/usr/share/lemon
install -m 664 /build/sqlite/sqlite-2.8.17/tool/lempar.c \
	/build/sqlite/sqlite-2.8.17/debian/tmp/usr/share/lemon
install -m 775 lemon /build/sqlite/sqlite-2.8.17/debian/tmp/usr/bin/
dh_auto_install
	make -j1 install DESTDIR=/build/sqlite/sqlite-2.8.17/debian/tmp AM_UPDATE_INFO_DIR=no
make[2]: Entering directory '/build/sqlite/sqlite-2.8.17'
/usr/bin/install -c -d /build/sqlite/sqlite-2.8.17/debian/tmp/usr/lib/x86_64-linux-gnu
./libtool --mode=install /usr/bin/install -c libsqlite.la /build/sqlite/sqlite-2.8.17/debian/tmp/usr/lib/x86_64-linux-gnu
libtool: install: /usr/bin/install -c .libs/libsqlite.so.0.8.6 /build/sqlite/sqlite-2.8.17/debian/tmp/usr/lib/x86_64-linux-gnu/libsqlite.so.0.8.6
libtool: install: (cd /build/sqlite/sqlite-2.8.17/debian/tmp/usr/lib/x86_64-linux-gnu && { ln -s -f libsqlite.so.0.8.6 libsqlite.so.0 || { rm -f libsqlite.so.0 && ln -s libsqlite.so.0.8.6 libsqlite.so.0; }; })
libtool: install: (cd /build/sqlite/sqlite-2.8.17/debian/tmp/usr/lib/x86_64-linux-gnu && { ln -s -f libsqlite.so.0.8.6 libsqlite.so || { rm -f libsqlite.so && ln -s libsqlite.so.0.8.6 libsqlite.so; }; })
libtool: install: /usr/bin/install -c .libs/libsqlite.lai /build/sqlite/sqlite-2.8.17/debian/tmp/usr/lib/x86_64-linux-gnu/libsqlite.la
libtool: install: /usr/bin/install -c .libs/libsqlite.a /build/sqlite/sqlite-2.8.17/debian/tmp/usr/lib/x86_64-linux-gnu/libsqlite.a
libtool: install: chmod 644 /build/sqlite/sqlite-2.8.17/debian/tmp/usr/lib/x86_64-linux-gnu/libsqlite.a
libtool: install: ranlib /build/sqlite/sqlite-2.8.17/debian/tmp/usr/lib/x86_64-linux-gnu/libsqlite.a
libtool: warning: remember to run 'libtool --finish /usr/lib/x86_64-linux-gnu'
/usr/bin/install -c -d /build/sqlite/sqlite-2.8.17/debian/tmp/usr/bin
./libtool --mode=install /usr/bin/install -c sqlite /build/sqlite/sqlite-2.8.17/debian/tmp/usr/bin
libtool: warning: 'libsqlite.la' has not been installed in '/usr/lib/x86_64-linux-gnu'
libtool: install: /usr/bin/install -c .libs/sqlite /build/sqlite/sqlite-2.8.17/debian/tmp/usr/bin/sqlite
/usr/bin/install -c -d /build/sqlite/sqlite-2.8.17/debian/tmp/usr/include
/usr/bin/install -c -m 0644 sqlite.h /build/sqlite/sqlite-2.8.17/debian/tmp/usr/include
/usr/bin/install -c -d /build/sqlite/sqlite-2.8.17/debian/tmp/usr/lib/x86_64-linux-gnu/pkgconfig
/usr/bin/install -c -m 0644 sqlite.pc /build/sqlite/sqlite-2.8.17/debian/tmp/usr/lib/x86_64-linux-gnu/pkgconfig
make[2]: Leaving directory '/build/sqlite/sqlite-2.8.17'
make[1]: Leaving directory '/build/sqlite/sqlite-2.8.17'
   dh_install
   dh_installdocs
   dh_installchangelogs
   dh_installman
   dh_perl
   dh_link
   dh_strip_nondeterminism
   dh_compress
   dh_fixperms
   dh_missing
   dh_strip
   debian/rules override_dh_makeshlibs
make[1]: Entering directory '/build/sqlite/sqlite-2.8.17'
# empty dependency_libs
sed -i "/dependency_libs/ s/'.*'/''/" \
	`find /build/sqlite/sqlite-2.8.17/debian/ -name '*.la'`
dh_makeshlibs -V -X"libtclsqlite.so*"
make[1]: Leaving directory '/build/sqlite/sqlite-2.8.17'
   dh_shlibdeps
dpkg-shlibdeps: warning: debian/libsqlite-tcl/usr/lib/sqlite/libtclsqlite.so.0.8.6 contains an unresolvable reference to symbol Tcl_SetObjResult: it's probably a plugin
dpkg-shlibdeps: warning: 29 other similar warnings have been skipped (use -v to see them all)
   dh_installdeb
   dh_gencontrol
   dh_md5sums
   dh_builddeb
dpkg-deb: building package 'sqlite' in '../sqlite_2.8.17-15_amd64.deb'.
dpkg-deb: building package 'sqlite-doc' in '../sqlite-doc_2.8.17-15_all.deb'.
dpkg-deb: building package 'libsqlite0' in '../libsqlite0_2.8.17-15_amd64.deb'.
dpkg-deb: building package 'libsqlite0-dev' in '../libsqlite0-dev_2.8.17-15_amd64.deb'.
dpkg-deb: building package 'libsqlite-tcl' in '../libsqlite-tcl_2.8.17-15_amd64.deb'.
 dpkg-genbuildinfo
 dpkg-genchanges  >../sqlite_2.8.17-15_amd64.changes
dpkg-genchanges: info: not including original source code in upload
 dpkg-source --after-build .
dpkg-buildpackage: info: binary and diff upload (original source NOT included)
+ date
Thu Apr 20 00:10:08 UTC 2023
+ cd ..
+ ls -la
total 1572
drwxr-xr-x  3 root root   4096 Apr 20 00:10 .
drwxr-xr-x  3 root root   4096 Apr 20 00:08 ..
-rw-r--r--  1 root root  57493 Apr 20 00:10 buildlog.txt
-rw-r--r--  1 root root  13116 Apr 20 00:10 libsqlite-tcl_2.8.17-15_amd64.deb
-rw-r--r--  1 root root 192724 Apr 20 00:10 libsqlite0-dev_2.8.17-15_amd64.deb
-rw-r--r--  1 root root 165740 Apr 20 00:10 libsqlite0_2.8.17-15_amd64.deb
drwxr-xr-x 16 root root   4096 Apr 20 00:09 sqlite-2.8.17
-rw-r--r--  1 root root 136332 Apr 20 00:10 sqlite-doc_2.8.17-15_all.deb
-rw-r--r--  1 root root  11004 Apr 20 00:09 sqlite_2.8.17-15.debian.tar.xz
-rw-r--r--  1 root root   1099 Apr 20 00:09 sqlite_2.8.17-15.dsc
-rw-r--r--  1 root root   6557 Apr 20 00:10 sqlite_2.8.17-15_amd64.buildinfo
-rw-r--r--  1 root root   3284 Apr 20 00:10 sqlite_2.8.17-15_amd64.changes
-rw-r--r--  1 root root  21248 Apr 20 00:10 sqlite_2.8.17-15_amd64.deb
-rw-r--r--  1 root root 962009 Sep 12  2016 sqlite_2.8.17.orig.tar.gz
+ find . -maxdepth 1 -type f
+ sha256sum ./libsqlite0-dev_2.8.17-15_amd64.deb ./sqlite_2.8.17-15.dsc ./buildlog.txt ./sqlite-doc_2.8.17-15_all.deb ./sqlite_2.8.17-15_amd64.deb ./sqlite_2.8.17-15.debian.tar.xz ./sqlite_2.8.17-15_amd64.buildinfo ./libsqlite-tcl_2.8.17-15_amd64.deb ./sqlite_2.8.17-15_amd64.changes ./sqlite_2.8.17.orig.tar.gz ./libsqlite0_2.8.17-15_amd64.deb
5cc70142408fc0c3237648848f8f7286456bc83b36033f42e26cbd738b401237  ./libsqlite0-dev_2.8.17-15_amd64.deb
759bc0ab23e250a72495d6d7d10eaf05887342ae442386c10bf05de8995df5cf  ./sqlite_2.8.17-15.dsc
9d6e74691f8578f459613749a32b47dcd2fc33e605e5804e6b75da16a9b1ab3c  ./buildlog.txt
5456124c5ac1a72845da51cb0d87fb327c25dc68a5dfc5e1ef4829a8be1ee1db  ./sqlite-doc_2.8.17-15_all.deb
2e44a91e66b3499f9278857224771d0fbe7c9a50d5c6c7d0a2c8950a5660549b  ./sqlite_2.8.17-15_amd64.deb
beb87e551fc2cfe47e6f1c8ae949bee3c06c55b5e0575e28a2ab35d89aa9edd4  ./sqlite_2.8.17-15.debian.tar.xz
b9915a148b5b3d606f9c06cb47e719834230b0595868e4248dd2449bc64e7afe  ./sqlite_2.8.17-15_amd64.buildinfo
f7f5c318821a1213b1b9207452ed2cb2eee3818c8da4006bec0a759fd82f22ab  ./libsqlite-tcl_2.8.17-15_amd64.deb
ea76faf908d3f28c1638fabafc76abf85e7b61d075e7a4aed840d02a1fab65a1  ./sqlite_2.8.17-15_amd64.changes
f9455c7111de0519e0e7e5614dabec992fd621a842b738ec4f899aef7aba89f4  ./sqlite_2.8.17.orig.tar.gz
a932c616ea391c33166cca8fed6ed18151c451dea265aa57dde74cd5466f52c3  ./libsqlite0_2.8.17-15_amd64.deb
+ mkdir published
+ cd published
+ cd ../
+ ls libsqlite-tcl_2.8.17-15_amd64.deb libsqlite0-dev_2.8.17-15_amd64.deb libsqlite0_2.8.17-15_amd64.deb sqlite-doc_2.8.17-15_all.deb sqlite_2.8.17-15_amd64.deb *.udeb
ls: cannot access '*.udeb': No such file or directory
+ wget --retry-connrefused --retry-on-host-error --tries=3 http://repo.pureos.net/pureos/pool/main/s/sqlite/libsqlite-tcl_2.8.17-15_amd64.deb
--2023-04-20 00:10:08--  http://repo.pureos.net/pureos/pool/main/s/sqlite/libsqlite-tcl_2.8.17-15_amd64.deb
Resolving repo.pureos.net (repo.pureos.net)... 138.201.228.45
Connecting to repo.pureos.net (repo.pureos.net)|138.201.228.45|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 12976 (13K) [application/octet-stream]
Saving to: 'libsqlite-tcl_2.8.17-15_amd64.deb'

     0K .......... ..                                         100%  492K=0.03s

2023-04-20 00:10:08 (492 KB/s) - 'libsqlite-tcl_2.8.17-15_amd64.deb' saved [12976/12976]

+ wget --retry-connrefused --retry-on-host-error --tries=3 http://repo.pureos.net/pureos/pool/main/s/sqlite/libsqlite0-dev_2.8.17-15_amd64.deb
--2023-04-20 00:10:08--  http://repo.pureos.net/pureos/pool/main/s/sqlite/libsqlite0-dev_2.8.17-15_amd64.deb
Resolving repo.pureos.net (repo.pureos.net)... 138.201.228.45
Connecting to repo.pureos.net (repo.pureos.net)|138.201.228.45|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 191868 (187K) [application/octet-stream]
Saving to: 'libsqlite0-dev_2.8.17-15_amd64.deb'

     0K .......... .......... .......... .......... .......... 26%  934K 0s
    50K .......... .......... .......... .......... .......... 53% 1.80M 0s
   100K .......... .......... .......... .......... .......... 80% 40.0M 0s
   150K .......... .......... .......... .......              100% 57.5M=0.08s

2023-04-20 00:10:08 (2.22 MB/s) - 'libsqlite0-dev_2.8.17-15_amd64.deb' saved [191868/191868]

+ wget --retry-connrefused --retry-on-host-error --tries=3 http://repo.pureos.net/pureos/pool/main/s/sqlite/libsqlite0_2.8.17-15_amd64.deb
--2023-04-20 00:10:08--  http://repo.pureos.net/pureos/pool/main/s/sqlite/libsqlite0_2.8.17-15_amd64.deb
Resolving repo.pureos.net (repo.pureos.net)... 138.201.228.45
Connecting to repo.pureos.net (repo.pureos.net)|138.201.228.45|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 165392 (162K) [application/octet-stream]
Saving to: 'libsqlite0_2.8.17-15_amd64.deb'

     0K .......... .......... .......... .......... .......... 30%  955K 0s
    50K .......... .......... .......... .......... .......... 61% 1.88M 0s
   100K .......... .......... .......... .......... .......... 92% 29.0M 0s
   150K .......... .                                          100% 89.7M=0.08s

2023-04-20 00:10:08 (1.97 MB/s) - 'libsqlite0_2.8.17-15_amd64.deb' saved [165392/165392]

+ wget --retry-connrefused --retry-on-host-error --tries=3 http://repo.pureos.net/pureos/pool/main/s/sqlite/sqlite-doc_2.8.17-15_all.deb
--2023-04-20 00:10:08--  http://repo.pureos.net/pureos/pool/main/s/sqlite/sqlite-doc_2.8.17-15_all.deb
Resolving repo.pureos.net (repo.pureos.net)... 138.201.228.45
Connecting to repo.pureos.net (repo.pureos.net)|138.201.228.45|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 136332 (133K) [application/octet-stream]
Saving to: 'sqlite-doc_2.8.17-15_all.deb'

     0K .......... .......... .......... .......... .......... 37%  958K 0s
    50K .......... .......... .......... .......... .......... 75% 1.80M 0s
   100K .......... .......... .......... ...                  100% 40.5M=0.08s

2023-04-20 00:10:08 (1.62 MB/s) - 'sqlite-doc_2.8.17-15_all.deb' saved [136332/136332]

+ wget --retry-connrefused --retry-on-host-error --tries=3 http://repo.pureos.net/pureos/pool/main/s/sqlite/sqlite_2.8.17-15_amd64.deb
--2023-04-20 00:10:08--  http://repo.pureos.net/pureos/pool/main/s/sqlite/sqlite_2.8.17-15_amd64.deb
Resolving repo.pureos.net (repo.pureos.net)... 138.201.228.45
Connecting to repo.pureos.net (repo.pureos.net)|138.201.228.45|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 21548 (21K) [application/octet-stream]
Saving to: 'sqlite_2.8.17-15_amd64.deb'

     0K .......... .......... .                               100%  805K=0.03s

2023-04-20 00:10:08 (805 KB/s) - 'sqlite_2.8.17-15_amd64.deb' saved [21548/21548]

+ tee ../SHA256SUMS
+ find . -maxdepth 1 -type f
+ sha256sum ./libsqlite0-dev_2.8.17-15_amd64.deb ./sqlite-doc_2.8.17-15_all.deb ./sqlite_2.8.17-15_amd64.deb ./libsqlite-tcl_2.8.17-15_amd64.deb ./libsqlite0_2.8.17-15_amd64.deb
5e009898ef92efb92130ca13f0300bb50d6a72ee033673db648503f4a966ad4e  ./libsqlite0-dev_2.8.17-15_amd64.deb
5456124c5ac1a72845da51cb0d87fb327c25dc68a5dfc5e1ef4829a8be1ee1db  ./sqlite-doc_2.8.17-15_all.deb
f2ca1a62cbce3dac7e317301fc8c95d45f8935bb65bc322a01b20ae45a529b56  ./sqlite_2.8.17-15_amd64.deb
a18d4381911be59a8dc2d8eae0078b1f162bfbe46c222e2c31c331fc7ecb1ece  ./libsqlite-tcl_2.8.17-15_amd64.deb
5394bc066a6a74e59368233c0e9f5d6ee89499415becf7fe0a00fe7808fbca3f  ./libsqlite0_2.8.17-15_amd64.deb
+ cd ..
+ sha256sum -c SHA256SUMS
./libsqlite0-dev_2.8.17-15_amd64.deb: FAILED
./sqlite-doc_2.8.17-15_all.deb: OK
./sqlite_2.8.17-15_amd64.deb: FAILED
./libsqlite-tcl_2.8.17-15_amd64.deb: FAILED
./libsqlite0_2.8.17-15_amd64.deb: FAILED
sha256sum: WARNING: 4 computed checksums did NOT match
